<?php // $Id: backup.php,v 1.2 2009/04/08 17:30:58 rrusso Exp $

/**
 * @author Adam Zapletal
 * @Louisana State University
 */

require_once('../../config.php');
require_once('lib.php');

require_login();

ini_set('max_execution_time','0');

if (!is_siteadmin($USER->id)) {
    error(get_string('need_permission', 'block_backadel'));
}

$js = array('yui_yahoo', 'yui_event', 'yui_dom',
            $CFG->wwwroot . '/lib/yui/element/element-beta-min.js',
            $CFG->wwwroot . '/lib/yui/datasource/datasource-beta-min.js',
            $CFG->wwwroot . '/lib/yui/datatable/datatable-beta-min.js',
            'backup.js');

// Removed JS to speed up result display when dealing with HUGE amounts of courses.
// A better solution is needed
// echo require_js($js); 

$clean_data = array();

// If anything was posted to this page, it would be a queriesid from index.php.
// Otherwise, we would have a new query data to build from results.php, and if
// that is the case, then the data will be in $SESSION
if ($raw_data = data_submitted()) {
    $queriesid = clean_param($raw_data->queriesid, PARAM_CLEAN); 
} else {
    // Clean data just in case
    foreach ($SESSION->query_data as $key => $value) {
        $clean_data[$key] = clean_param($value, PARAM_CLEAN);
    }

    $queriesid = optional_param('queriesid', False);
}

$ch = optional_param('toggle_all', 0);

// User created a new query to get to this page, so we must insert that
// query and it's constraints into the database
if (!$queriesid) {
    $query = new stdClass;
    $query->userid = $USER->id;
    $query->name = $clean_data['name'];
    $query->type = $clean_data['type'];
    $query->created_at = time();

    $queriesid = insert_record('block_backadel_queries', $query, true);

    // Construct array of constraints from post_data for easy access
    foreach ($clean_data as $key => $value) {
        if ($key[0] == 'c' && is_numeric($key[1])) {
            if (substr($key, 3, 11) == 'search_term') {
                $constraints[$key[1]]['search_terms'] .= '|' . $value;
            } else {
                $constraints[$key[1]][substr($key, 3)] = $value;
            }
        }
    }

    // Build objects out of constraints for database insertion
    foreach ($constraints as $c) {
        $constraint = new stdClass;
        $constraint->queriesid = $queriesid;
        $constraint->criteria = $c['criteria'];
        $constraint->operator = $c['operator'];
        $constraint->search_terms = substr($c['search_terms'], 1); 

        insert_record('block_backadel_constraints', $constraint);
    }

    $name = $query->name;
}   

if (!$name) {
    $name = get_field('block_backadel_queries', 'name', 'id', $queriesid);
}

// Setup and print navbar and header

$header = get_string('backup', 'block_backadel') . ' - ' . $name;
$block = array('name' => get_string('blockname', 'block_backadel'), 
               'link' => $CFG->wwwroot . '/blocks/backadel', 
               'type' => 'title');
$page = array('name' => get_string('backup', 'block_backadel'));
$nav = array($block, $page);
print_header_simple($header, '', build_navigation($nav));
print_heading_with_help($header, 'backup', 'block_backadel');

// Retrieve and list courses from provided query
$records = get_records_sql(build_sql_from_queryid($queriesid));

echo '<div id = "send_job_error" class = "backadel_error"><br /></div>';

// Print the table containing query results
echo '
<form action = "send_job.php" method = "post" onsubmit = "return validate_send_job();">

<div id = "markup">
    <table id = "backup_table">
        <thead>
            <tr>
                <th>Shortname</th>
                <th>Fullname</th>
                <th>Category</th>
                <th>Backup?</th>
            </tr>
        </thead>
        <tbody>';

foreach ($records as $r) {
    $link = $CFG->wwwroot . '/course/view.php?id=' . $r->id;
    echo "
        <tr>
            <td><a href = \"$link\">$r->shortname</a></td>
            <td>$r->fullname</td>
            <td>$r->category</td>
            <td><input type = \"checkbox\" name = \"backup[]\" value = \"$r->id\" " .  check($ch) . "/></td>
        </tr>";
}

echo '
        </tbody>
    </table>
</div>
<div><input type = "hidden" name = "queriesid" value = "' . $queriesid . '"/></div>
<div><input type = "submit" value = "' . get_string('backup_button', 'block_backadel') . '"/></div>

</form>';

$s =  ($ch) ? '' : '&toggle_all=1';
$url = $CFG->wwwroot . '/blocks/backadel/backup.php?queriesid=' . $queriesid . $s;
echo '<a href = "' . $url . '" alt = "">' . get_string('toggle_all', 'block_backadel') . '</a>';
print_footer();

?>
