<?php

/**
 * @author Adam Zapletal
 * @Louisana State University
 */

require_once('../../config.php');
require_once($CFG->libdir . '/uploadlib.php');
require_once('lib.php');

INI_SET ("auto_detect_line_endings", true);
INI_SET ("max_execution_time", "7200");

require_login();

if (!is_siteadmin($USER->id)) {
    error(get_string('need_permission', 'block_backadel'));
}

echo require_js(array('index.js'));

// Setup and print navbar and header

$bulk_delete_str = get_string('block_bulk_delete', 'block_backadel');
$deletion_results_str = get_string('deletion_results', 'block_backadel');
$header = $bulk_delete_str . ' - ' . $deletion_results_str;
$block = array('name' => get_string('blockname', 'block_backadel'), 
               'link' => $CFG->wwwroot . '/blocks/backadel', 
               'type' => 'title');
$page = array('name' => $bulk_delete_str, 'type' => 'title');
$nav = array($block, $page);

print_header_simple($header, '', build_navigation($nav));
print_heading($header);

$successes = 0;
$errors = False;

echo '<div class = "bulk_results">';

foreach ($SESSION->backadel_bulk_delete_ids as $id => $shortname) {
    if (backadel_delete_course($id)) {
        $successes++;
        mtrace(get_string('successfully_deleted', 'block_backadel', $shortname));
    } else {
        $errors = True;
        mtrace(get_string('couldnt_delete', 'block_backadel', $shortname));
    }

    mtrace('<br />');
}

echo '</div>';
echo '<div>' . get_string('deletion_count', 'block_backadel', $successes) . '</div>';

if ($errors) {
    echo '<div class = "error">' . get_string('errors', 'block_backadel') . '</div>';

} else {
    echo '<div>' . get_string('no_errors', 'block_backadel') . '</div>';
}

print_footer();

?>
