<?php

/**
 * @author Adam Zapletal
 * @Louisana State University
 */

require_once('../../config.php');
require_once($CFG->libdir . '/uploadlib.php');

INI_SET ("auto_detect_line_endings", true);

require_login();

if (!is_siteadmin($USER->id)) {
    error(get_string('need_permission', 'block_backadel'));
}

echo require_js(array('index.js'));

// Setup and print navbar and header

$bulk_delete_str = get_string('block_bulk_delete', 'block_backadel');
$deletion_preview_str = get_string('deletion_preview', 'block_backadel');
$header = $bulk_delete_str . ' - ' . $deletion_preview_str;
$block = array('name' => get_string('blockname', 'block_backadel'), 
               'link' => '/blocks/backadel', 
               'type' => 'title');
$page = array('name' => $bulk_delete_str, 'type' => 'title');
$nav = array($block, $page);

print_header_simple($header, '', build_navigation($nav));
print_heading($header);

unset($SESSION->backadel_bulk_delete_ids);

$um = new upload_manager('shortnames_file', false, false, null, false, 0, true);

if (!$um->preprocess_files()) {
    echo '<div class = "error">' . get_string('trans_error', 'block_backadel') . '</div>';
    print_footer();
    die();
}

// Build an SQL in clause from shortnames in the given file
$fields = 'id, fullname, shortname';
$lines = file($um->files['shortnames_file']['tmp_name']);
$in_body = '\'' . str_replace("\n", '', implode('\', \'', $lines)) . '\'';
$courses_to_delete = get_records_select('course', 'shortname in (' . $in_body . ')', '', $fields);
$ids_to_delete = array();

echo '
    <table>
        <thead>
            <th>' . get_string('fullname') . '</th>
            <th>' . get_string('shortname') . '</th>
        </thead>
        <tbody>
';

foreach($courses_to_delete as $c) {
    echo '
            <tr>
                <td>' . $c->fullname . '</td>
                <td>' . $c->shortname . '</td>
            </tr>
    ';            

    $ids_to_delete[$c->id] = $c->shortname;
}

echo '
        </tbody>
    </table>
';

$SESSION->backadel_bulk_delete_ids = $ids_to_delete;

echo '
<form action = "bulk_delete_commit.php" method = "post">
    <input type = "submit" value = ' . get_string('confirm', 'block_backadel') . '
</form>
';

print_footer();

?>
