<?php // $Id: delete.php,v 1.2 2009/04/08 17:31:57 rrusso Exp $

/**
 * @author Adam Zapletal
 * @Louisana State University
 */

require_once('../../config.php');
require_once('lib.php');

require_login();

ini_set('max_execution_time','0');

if (!is_siteadmin($USER->id)) {
    error(get_string('need_permission', 'block_backadel'));
}

$js = array('yui_yahoo', 'yui_event', 'yui_dom',
            $CFG->wwwroot . '/lib/yui/element/element-beta-min.js',
            $CFG->wwwroot . '/lib/yui/datasource/datasource-beta-min.js',
            $CFG->wwwroot . '/lib/yui/datatable/datatable-beta-min.js',
            'delete.js');

// Removed JS to speed up result display when dealing with HUGE amounts of courses.
// A better solution is needed
// echo require_js($js); 

$clean_data = array();

$ch = optional_param('toggle_all', 0);

// Setup and print navbar and header
$header = get_string('delete_header', 'block_backadel');
$block = array('name' => get_string('blockname', 'block_backadel'), 
               'link' => $CFG->wwwroot . '/blocks/backadel', 
               'type' => 'title');
$page = array('name' => $header);
$nav = array($block, $page);

print_header_simple($header, '', build_navigation($nav));
print_heading_with_help($header, 'delete_header', 'block_backadel');

// Process data if page was loaded with post data
if ($raw_data = data_submitted()) {
    // Clean post data
    foreach ($raw_data as $key => $value) {
        $clean_data[$key] = clean_param($value, PARAM_CLEAN);
    }

    // Delete courses, mtrace result, and delete backadel status
    foreach ($clean_data['delete'] as $id) {
        $a = get_field('course', 'fullname', 'id', $id);


        if (!backadel_delete_course($id)) {
            mtrace(get_string('delete_error', 'block_backadel'));
        } else {
            // Only delete the status if the course was successfully deleted
            mtrace(get_string('deleted', 'block_backadel', $a));
            delete_records('block_backadel_statuses', 'coursesid', $id);
        }

        mtrace('<br />');
    }
}

if (!$records = get_records('block_backadel_statuses', 'status', 'SUCCESS')) {
    echo '<div style = "text-align:center">' . get_string('none_completed', 'block_backadel') . '</div>';
    print_footer();
    die();
}

// Print main table
echo '
<form action = "delete.php" method = "post">

<div id = "markup">
    <table id = "delete_table">
        <thead>
            <tr>
                <th>Shortname</th>
                <th>Fullname</th>
                <th>Delete?</th>
            </tr>
        </thead>
        <tbody>';


foreach ($records as $r) {
    $course = get_record('course', 'id', $r->coursesid);
    $link = $CFG->wwwroot . '/course/view.php?id=' . $r->coursesid;
    echo "
        <tr>
            <td><a href = \"$link\">$course->shortname</a></td>
            <td>$course->fullname</td>
            <td><input type = \"checkbox\" name = \"delete[]\" value = \"$r->coursesid\"" . check($ch) . "/></td>
        </tr>";
}

echo '
        </tbody>
    </table>
</div>
<div>
<input class="selectallnoneposition" type = "submit" value = "' .
get_string('delete_button', 'block_backadel') . '"/>
</div>
</form>';

$s =  ($ch) ? '' : 'toggle_all=1';
$url = $CFG->wwwroot . '/blocks/backadel/delete.php?' .  $s;
echo '<a href = "' . $url . '" alt = "">' . get_string('toggle_all', 'block_backadel') . '</a>';

print_footer();

?>
