<?php // $Id: index.php,v 1.2 2009/04/08 17:32:27 rrusso Exp $

/**
 * @author Adam Zapletal
 * @Louisana State University
 */

require_once('../../config.php');

require_login();

if (!is_siteadmin($USER->id)) {
    error(get_string('need_permission', 'block_backadel'));
}

echo require_js(array('index.js'));

// Setup and print navbar and header
$header = get_string('build_search', 'block_backadel');
$block = array('name' => get_string('blockname', 'block_backadel'), 
               'link' => $CFG->wwwroot . '/blocks/backadel', 
               'type' => 'title');
$page = array('name' => $header, 'type' => 'title');
$nav = array($block, $page);

print_header_simple($header, '', build_navigation($nav));
print_heading_with_help($header, 'build_query', 'block_backadel');

echo '<div id = "results_error" class = "backadel_error"><br /></div>';

echo "
<form action = 'results.php' method = 'post' onsubmit = 'return validate_results();'>

<div id = 'form_container'>
    <div id = 'name_row'>
        <span class = 'name_label'>Name: </span>
        <span class = 'name_field'><input name = 'name' type = 'text'/></span>
        <br />
    </div>
    <div id = 'anyall_row'>
        " . get_string('match', 'block_backadel') . " <select name = 'type'>
            <option>ALL</option>
            <option>ANY</option>
        </select> " . get_string('of_these_constraints', 'block_backadel') . ": 
        <img src = 'delete.png' onclick = 'remove_constraint()' alt = ''/> 
        <img src = 'add.png' onclick = 'add_constraint(count_constraints())' alt = ''/>
    </div>            
    <div id = 'group_constraints'>
        <div class = 'constraint' id = 'c0_constraint'>
            <select name = 'c0_criteria'>
                <option>Shortname</option>
                <option>Fullname</option>
                <option>Course Id #</option>
                <option>Category</option>
            </select>
            <select name = 'c0_operator'>
                <option>is</option>
                <option>is not</option>
                <option>contains</option>
                <option>does not contain</option>
            </select>
            <span id = 'c0_search_term_0'>
                <input name = 'c0_search_term_0' type = 'text'/>
                <img src = 'add.png' onclick = 'add_search_term(0)' alt = ''/>
                <input id = 'c0_st_num' value = '1' type = 'hidden'/>
            </span>
        </div>
    </div>
    <div id = 'button'>
        <input type = 'submit' value = '" . 
        get_string('build_search_button', 'block_backadel') . "' />
    </div>
</div>

</form>
";

// Setup and print navbar and header
$header = get_string('saved_searches', 'block_backadel');
print_heading_with_help($header, 'saved_searches', 'block_backadel');

if (!$searches = get_records('block_backadel_queries')) {
    echo '<div style = "text-align:center">';
    echo get_string('no_searches', 'block_backadel') . '</div>';
} else {
    $rowcount = 0;

    echo '
        <form action = "backup.php" method = "post" onsubmit = "return validate_backup();">
        <table>
            <thead><tr>
                <th colspan="2">' . get_string('search_name', 'block_backadel') . '</th>
                <th>' . get_string('created_at', 'block_backadel') . '</th>
            </tr></thead>
            <tbody>';

    foreach ($searches as $s) {
        $class = $rowcount % 2 ? 'odd' : 'even';
        $rowcount++;

        echo "
                <tr class = \"$class\">
                    <td class=\"leftcolumns\"><input type = \"radio\" name = \"queriesid\" value = \"$s->id\"/></td>
                    <td class=\"rightcolumns\">$s->name</td>
                    <td class=\"rightcolumns\">" . date('F j, Y, g:i a', $s->created_at) . "</td>
                </tr>
        ";
    }

    echo '
            </tbody>
        </table>
        <div><input class = "saved_query_button" type = "submit" value = "' . 
        get_string('run_query_button', 'block_backadel') . '"/></div>
        </form>
    ';
} 

echo '<div id = "backup_error" class = "backadel_error"><br /></div>';

print_footer();

?>
