<?php // $Id: results.php,v 1.2 2009/04/08 17:32:59 rrusso Exp $

/**
 * @author Adam Zapletal
 * @Louisana State University
 */

require_once('../../config.php');
require_once('lib.php');

require_login();

if (!is_siteadmin($USER->id)) {
    error(get_string('need_permission', 'block_backadel'));
}


// Removed JS to speed up result display when dealing with HUGE amounts of courses.
// A better solution is needed

$js = array('yui_yahoo', 'yui_event', 'yui_dom',
            $CFG->wwwroot . '/lib/yui/element/element-beta-min.js',
            $CFG->wwwroot . '/lib/yui/datasource/datasource-beta-min.js',
            $CFG->wwwroot . '/lib/yui/datatable/datatable-beta-min.js',
            'results.js');

//echo require_js($js); 

    
$raw_data = data_submitted();

// Clean post data
$clean_data = array();

foreach ($raw_data as $key => $value) {
    $clean_data[$key] = clean_param($value, PARAM_CLEAN);
}

// Setup and print navbar and header
$header = get_string('search_results', 'block_backadel') . ' - ' .  $clean_data['name'];
$block = array('name' => get_string('blockname', 'block_backadel'), 
               'link' => $CFG->wwwroot . '/blocks/backadel', 
               'type' => 'title');
$page = array('name' => get_string('search_results', 'block_backadel'));
$nav = array($block, $page);

print_header_simple($header, '', build_navigation($nav));
print_heading_with_help($header, 'search_results', 'block_backadel');

$query = new stdClass;
$query->userid = $USER->id;
$query->name = $clean_data['name'];
$query->type = $clean_data['type'];
$query->created_at = time();

$query_data = new stdClass;

foreach ($clean_data as $key => $value) {
    if ($key[0] == 'c' && is_numeric($key[1])) {
        if (substr($key, 3, 11) == 'search_term') {
            $constraints_arr[$key[1]]['search_terms'] .= '|' . $value;
        } else {
            $constraints_arr[$key[1]][substr($key, 3)] = $value;
        }
    }

    $query_data->$key = $value;
}

$SESSION->query_data = null;
$SESSION->query_data = $query_data;

$constraints = array();

foreach ($constraints_arr as $c) {
    $constraint = new stdClass;
    $constraint->criteria = $c['criteria'];
    $constraint->operator = $c['operator'];
    $constraint->search_terms = substr($c['search_terms'], 1); 

    $constraints[] = $constraint;
}

$records = get_records_sql(build_sql_from_search($query, $constraints));

echo '
<form action = "backup.php" method = "post">

<div id = "markup">
    <table id = "results_table">
        <thead>
            <tr>
                <th>Shortname</th>
                <th>Fullname</th>
                <th>Category</th>
            </tr>
        </thead>
        <tbody>';

foreach ($records as $r) {
    $link = $CFG->wwwroot . '/course/view.php?id=' . $r->id;
    echo "
        <tr>
            <td><a href = \"$link\">$r->shortname</a></td>
            <td>$r->fullname</td>
            <td>$r->category</td>
        </tr>";
}

echo '
        </tbody>
    </table>
    <br />
</div>';

echo '
<div>
    <input type = "submit" value = "' . get_string('save_query', 'block_backadel') . '"/>
</div></form>
<br />';

echo '<a href = "index.php">' . get_string('create_new_query', 'block_backadel') . '</a>';

print_footer();

?>
