<?php // $Id: send_job.php,v 1.2 2009/04/08 17:33:12 rrusso Exp $

/**
 * @author Adam Zapletal
 * @Louisana State University
 */

require_once('../../config.php');
require_once('lib.php');
require_once('../../backup/lib.php');
require_once('../../backup/backuplib.php');

require_login();

if (!is_siteadmin($USER->id)) {
    error(get_string('need_permission', 'block_backadel'));
}

// Setup and print navbar and header
$header = get_string('job_sent', 'block_backadel');
$block = array('name' => get_string('blockname', 'block_backadel'), 
               'link' => $CFG->wwwroot . '/blocks/backadel', 
               'type' => 'title');
$page = array('name' => $header);
$nav = array($block, $page);

print_header_simple($header, '', build_navigation($nav));
print_heading_with_help($header, 'job_sent', 'block_backadel');

$backups = required_param('backup');
$queriesid = required_param('queriesid');

// Get coursesids to check for duplicates
$coursesids = get_fieldset_select('block_backadel_statuses', 'coursesid');

// array_intersect needs two arrays
if (!$coursesids) {
    $coursesids = array();
}

// Get courseids that would be duplicated in the database
$dupes = array_intersect($coursesids, $backups);

// array_diff needs two arrays
if (!$dupes) {
    $dupes = array();
}

// Get courseids that will be new to the database
$new_backups = array_diff($backups, $dupes);

foreach ($new_backups as $id) {
    $status = new StdClass;
    $status->queriesid = $queriesid;
    $status->coursesid = $id;
    $status->status = 'BACKUP';

    insert_record('block_backadel_statuses', $status);
}

//echo '<br /><center>' . get_string('job_sent_body', 'block_backadel') . '</center>';
echo '<br />' . get_string('job_sent_body', 'block_backadel');

if ($dupes) {
    echo '<div style = "text-align:center" class = "error">';

    foreach ($dupes as $id) {
        $select .= $id . ', ';
    }

    $select = 'coursesid IN(' . substr($select, 0, -2) . ')';

    $statuses = get_records_select('block_backadel_statuses', $select);
    
    foreach($statuses as $s) {
        $shortname = get_field('course', 'shortname', 'id', $s->coursesid);

        if ($s->status == 'SUCCESS') {
            echo $shortname . get_string('already_successful', 'block_backadel');
        } else if ($s->status == 'BACKUP') {
            echo $shortname . get_string('already_scheduled', 'block_backadel');
        } else if ($s->status == 'FAIL') {
            echo $shortname . get_string('already_failed', 'block_backadel');
        } else {
            continue;
        }

        echo '<br />';
    }

    echo '</div>';
}

print_footer();

?>
